@REM this script should be launched from the script folder inside a Qt command prompt
@REM You need Qt library : http://qt.nokia.com/downloads

@REM go to the parent folder
cd ..

@REM release the translations
lrelease kitsune.pro
@if errorlevel 1 goto end:

@REM create the makefile from the .pro file
qmake
@if errorlevel 1 goto end:

@REM compilation
make
@if errorlevel 1 goto end:

@REM compress the binary file with upx
@REM You need upx for this step : http://upx.sourceforge.net/
upx --best ./release/kitsune.exe

@REM pause to read the error messages
:end
pause
